<?php

    include("../scripts/connect.php");

   $conexion=conecta_default();
   include_once("../scripts/session.php");

   //Validar Session
    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/
    if(!$sesion->isValida("4")){ /*Sesion invalida*/
	 header("Location: ../index.php?err=NoSesion");
    }/*no hay sesion*/
    else{
       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();
    }
    //fin validar session
  $conexion=conecta_default();



$precio1=0;
$puntos1=0;
$ptossal=0;
$asigpt=0;
  // $id_dist =$_POST['dist'];
 
   $id_venta =$_POST['pedido'];

   
   
   
   
   
   $qa = "SELECT idprom,`nombre`,`appat`,`apmat`, rfc, id_inver FROM `inversionista` join transacciones on transacciones.inversionista_id_inver=inversionista.id_inver WHERE idtransacciones = '".$id_venta."'";
   $ca = mysql_query($qa) or die ('Error (Registro No Encontrado1): ' . mysql_error());
   while($ra = mysql_fetch_row($ca))
   {
	   $promotor = $ra[0];
	   $nom = $ra[1];
	   $app= $ra[2];
	   $apm = $ra[3];
	   $rfc = $ra[4];
 $id_dist = $ra[5];
	};
	
	
	
	
	
	

	$qa1 = "SELECT `nombre`,`appat`,`apmat` FROM `inversionista` WHERE id_inver = '".$promotor."'";
   $ca1 = mysql_query($qa1) or die ('Error (Registro No Encontrado2): ' . mysql_error());
   while($ra1 = mysql_fetch_row($ca1))
   {
	   $nomp = $ra1[0];
	   $appp= $ra1[1];
	   $apmp = $ra1[2];
	};
	
	
	
	
	
$qp4 = "select usuarios_ci_idusuarios_ci as elvta, consec, horat, fechat, cdentrega, statusentrega, tipostr_idtipostr from transacciones where idtransacciones=$id_venta";
   $cp4 = mysql_query($qp4) or die ('Error (Registro No Encontrado3): ' . mysql_error());
$rp4 = mysql_fetch_object($cp4);	
	$elvta = $rp4->elvta;
	$consec = $rp4->consec;		
	$lahora = $rp4->horat;	
	$eldia = $rp4->fechat;
	$entrega = $rp4->cdentrega;	
	$status = $rp4->statusentrega;
	$tipo = $rp4->tipostr_idtipostr;
	
	
	$qp3 = "select nombre from usuarios_ci where idusuarios_ci=$elvta";
   $cp3 = mysql_query($qp3) or die ('Error (Registro No Encontrado4): ' . mysql_error());
$rp3 = mysql_fetch_object($cp3);	
	$usuario = $rp3->nombre;
	
	
	
$qp42 = "select cantidad, puntos, efectivo, deposito, tarjeta, regalias, voucher, porpagar from transacciones join depositos on depositos.transacciones_idtransacciones=transacciones.idtransacciones join pagovta on transacciones.idtransacciones=pagovta.idtransacciones where transacciones.idtransacciones=$id_venta";
   $cp42 = mysql_query($qp42) or die ('Error (Registro No Encontrado5): ' . mysql_error());
$rp42 = mysql_fetch_object($cp42);	
	$pagado = $rp42->cantidad;
	$puntos = $rp42->puntos;		
	$efectivo = $rp42->efectivo;	
	$deposito = $rp42->deposito;
	$regalias = $rp42->regalias;	
	$voucher = $rp42->voucher;		
	$tarjeta = $rp42->tarjeta;	
	$porpagar = $rp42->porpagar;	
	
$qp3 = "select nombre from usuarios_ci where idusuarios_ci=$entrega";
   $cp3 = mysql_query($qp3) or die ('Error (Registro No Encontrado6): ' . mysql_error());
$rp3 = mysql_fetch_object($cp3);	
	$noment = $rp3->nombre;

if($status=="AGRUPADO"){
	$qD="SELECT num_grupo FROM pedido_agrupado WHERE id_transacciones = $id_venta";
  			$cD = mysql_query($qD) or die ('Error (Obtencion DeG.): ' . mysql_error());
  			while($rD = mysql_fetch_row($cD))
		   	{
		    	$agrup = $rD[0]."<form name=\"pagar\" action=\"agrupado_masinfo.php\" target=\"_blank\" method=\"post\"><input type=hidden name=agrup value=$rD[0]><input type=\"submit\" value=\"Ver Agrupado\" name=\"veragrupado\"></form>";
		    	
		    	
		   	};}
	
	$qPP = "select id_prod, nombreProd, precio, puntos, cant from pedido join productos on pedido.productos_idprod=productos.id_prod where transacciones_idtransacciones=$id_venta order by nombreProd";

$rPP = mysql_query($qPP) or die ('ErrPP: '. mysql_error());



echo "<center><br><font color=\"#000099\" size=\"+2\"><b>Informaci&oacute;n de Pedido</b></font><br>
<br><b>Nombre:</b> $nom $app $apm<br><b>RFC:</b> $rfc<br>
	<b>Nombre Promotor:</b> $nomp $appp $apmp<br><br>
Realizado el d&iacute;a $lafecha $eldia a las $lahora<br>
<table  border=\"1\" cellspacing=\"0\" cellpadding=\"1\">
<tr align=\"center\" bgcolor=\"#594106\">
<td><font color=\"#FFFFFF\"><b>No. Pedido $elvta"."-"."$consec</b></font></td>
<td><font color=\"#FFFFFF\"><b> Transacci&oacute;n $id_venta </b></font></td>
</tr>
<tr bgcolor=\"#ece3bb\">
<td>Pedido Realizado por:</td>
<td> <b>$centro $usuario</b></td>
</tr>
<tr bgcolor=\"#ece3bb\">
<td>CD de entrega:</td>
<td> <b>$entrega $noment</b></td>
</tr>
<tr bgcolor=\"#ece3bb\">
<td>Status de entrega:</td>
<td> <b>$status $agrup</b</td>
</tr></table>
";
if($tipo==6){
	
			$qDG="SELECT nombrec, concepto, autoriza FROM otrasal WHERE idtransacciones = '".$pedido."'";
  			$cDG = mysql_query($qDG) or die ('Error (Obtencion DG.): ' . mysql_error());
  			while($rDG = mysql_fetch_row($cDG))
		   	{
		    	$nombrec = $rDG[0];
		    	$concepto = $rDG[1];
		    	$autoriza = $rDG[2];
		    	
		   	};
	echo"Nombre: <b>$nombrec</b><br>concepto: <b>$concepto</b><br>Autoriz&oacute;: <b>$autoriza</b>";
	
}
echo"</table><br>Descripci&oacute;n del pago:<br>

<table border=\"1\" cellspacing=\"0\" cellpadding=\"1\">
<th>Cantidad</th><th>Puntos</th><th>EF</th><th>DE</th><th>TA</th><th>RE</th><th>VO</th><th>PP</th>
<tr align=\"center\"><td>$ $pagado</td><td>$puntos</td><td>$ $efectivo</td><td>$ $deposito</td><td>$ $tarjeta</td><td>$regalias</td><td>$voucher</td><td>$porpagar</td></tr></table>
<br>
";
if($regalias>0){
	$qp3 = "select regs2.idreg, nombre, appat, apmat, month(fechap)as elmes, year(fechap)as elano from regs2 join asignaregs on asignaregs.idreg=regs2.idreg join inversionista on
	inversionista.id_inver=regs2.id_inver where idtransacciones=$id_venta";
   $cp3 = mysql_query($qp3) or die ('Error (Registro No Encontrado7): ' . mysql_error());
$rp3 = mysql_fetch_object($cp3);	
	$idreg = $rp3->idreg;
	$nombred = $rp3->nombre." ".$rp3->appat." ".$rp3->apmat;
	$mesr = $rp3->elmes-1;
	$anor = $rp3->elano;
	
	switch($mesr){
		case 0: $elbco="Diciembre"; $anor=$anor-1; break;
		case 1: $elbco="Enero"; break;
		case 2: $elbco="Febrero"; break;
		case 3: $elbco="Marzo"; break;
		case 4: $elbco="Abril"; break;
		case 5: $elbco="Mayo"; break;
		case 6: $elbco="Junio"; break;
		case 7: $elbco="Julio"; break;
		case 8: $elbco="Agosto"; break;
		case 9: $elbco="Septiembre"; break;
		case 10: $elbco="Octubre"; break;
		case 11: $elbco="Noviembre"; break;
	}
	echo"Detalles de las regal&iacute;as Utilizadas:
	<br><table border=\"1\" cellspacing=\"0\" cellpadding=\"1\">
	<tr><th>ID Regal&iacute;a: </th><th>A favor de: </th><th>Fecha Reg:</th></tr>
	<tR align=\"center\"><td><b>$idreg</b></td><td><b>$nombred</b></td><td><b>$elbco $anor</b></td></tr></table><br>";
	
}
if($voucher>0){
	$qp3 = "select voucher.idv, nombre, appat, apmat from voucher join asignavoucher on asignavoucher.idv=voucher.idv join inversionista on
	inversionista.id_inver=voucher.id_inv where idtransacciones=$id_venta";
   $cp3 = mysql_query($qp3) or die ('Error (Registro No Encontrado8): ' . mysql_error());
$rp3 = mysql_fetch_object($cp3);	
	$idv = $rp3->idv;
	$nombred = $rp3->nombre." ".$rp3->appat." ".$rp3->apmat;
	
	echo"Detalles del voucher utilizado:
	<br><table border=\"1\">
	<tr><th>ID Voucher: </th><th>A favor de: </th></tr>
	<tR align=\"center\"><td><b>$idv</b></td><td><b>$nombred</b></td></tr></table><br>";
	
}
if($deposito>0){
	$qp3 = "select no_ficha, banco_idbanco, fechad from depositos where transacciones_idtransacciones=$id_venta";
   $cp3 = mysql_query($qp3) or die ('Error (Registro No Encontrado9): ' . mysql_error());
$rp3 = mysql_fetch_object($cp3);	
	$noficha = $rp3->no_ficha;
	$banco = $rp3->banco_idbanco;
	$fechad = $rp3->fechad;
	
	switch($banco){
		case 1: $elbco="Scotiabank"; break;
		case 2: $elbco="Santander"; break;
		case 3: $elbco="HSBC"; break;
		case 0: $elbco="Otro"; break;
	}
	echo"Detalles del Dep&oacute;sito:
	<br><table border=\"1\" cellspacing=\"0\" cellpadding=\"1\"><tR><tD>Banco: </td><td><b>$elbco</b></td> <td>Folio: </tD><td><b>$noficha</b></td><td> Fecha:</td><td><b>$fechad</b></td></tr></table><br><br>";
	
}


	echo"<table>
	<tr><td>Pedido Real<br>
	<table border=1> <th>Cantidad</th><th>ID</th><th>Nombre</th><th>precio</th><th>puntos</th>";
	
	
		$promos="SELECT cant, promodesc, precio, puntos, promod.id_promo FROM pedido_real join promod on pedido_real.id_prod=promod.id_promo where pedido_real.transacciones='$id_venta'";
	
	$cal = mysql_query($promos) or die ('Error (Registro No Encontrado2): ' . mysql_error());
	while($ral = mysql_fetch_row($cal))
   {
	   echo"<TR><td>$ral[0]</td><td>$ral[4]</td><td>$ral[1]</td><td>$ral[2]</td><td>$ral[3]</td></TR>";
	 $precio1+=  $ral[2]*$ral[0];
	$puntos1+=  $ral[3]*$ral[0];

	};
	
	
	
	
	
	
	
	$linea="SELECT cant, nombreProd, precio, puntos, productos.id_prod FROM pedido_real join productos on pedido_real.id_prod=productos.id_prod where pedido_real.transacciones='$id_venta' ";
	 $cal = mysql_query($linea) or die ('Error (Registro No Encontrado1): ' . mysql_error());
   while($ral = mysql_fetch_row($cal))
   {
	   echo"<TR><td>$ral[0]</td><td>$ral[4]</td><td>$ral[1]</td><td>$ral[2]</td><td>$ral[3]</td></TR>";
	   
		 $precio1+=  $ral[2]*$ral[0];
	$puntos1+=  $ral[3]*$ral[0];


	};
	
	echo"</table><br>Precio$ $precio1 Puntos $puntos1</td><td>";
	
	
	/*$prodlinea=mysql_query($linea);
	
	$prod_linea=mysql_fetch_array($prodlinea);
	echo $prod_linea;*/

	
	echo"Producto Entregado<bR><table border=1><th>Cantidad</th><th>Producto</th><th>ID</th>";

		
	$linea="SELECT cant, nombreProd, id_prod FROM pedido join productos on pedido.productos_idprod=productos.id_prod where pedido.transacciones_idtransacciones='$id_venta' ";
	 $cal = mysql_query($linea) or die ('Error (Registro No Encontrado1): ' . mysql_error());
   while($ral = mysql_fetch_row($cal))
   {
	   echo"<TR><td>$ral[0]</td><td>$ral[1]</td><td>$ral[2]</td></TR>";
	   
	


	};
	echo"</table></td></tr></table>";
	
	/*$promo=mysql_query($promos);
	$promo_s=mysql_fetch_array($promo);
	echo $promo_s;
	$pedido=array_merge($prod_linea,$promo_s);
	//print_r($pedido);*/









	
	if($tipo==10 || $tipo>=13){

	$qa2 = "SELECT cant, nombreProd  FROM pedido join productos on (pedido.productos_idprod=productos.id_prod) WHERE  transacciones_idtransacciones= 
	".$id_venta."";
    echo"Descripcion de Productos<br><br><table>";
   $ca2 = mysql_query($qa2) or die ('Error (Registro No Encontrado): ' . mysql_error());
   while($ra2 = mysql_fetch_row($ca2))
   {
  echo"<tr>
	   <td>".$ra2[0]."</td>
	   <td>-</td>
	   <td>".$ra2[1]."</td>
	   </tr>";
	};
	echo"</table></center>";
	}

if($tipo==11){
	
	  echo "
			
			
			Nota de Salida<br><br>
			<TABLE Border=1 CellPadding=5>
			<TR>";
				echo "
				<th>Cantidad</th>
				<th>id</th>
				<th>Nombre</th>
				<th>Precio</th>
				<th>Puntos</th>
				<th>Por Asignar</th>
			</TR>";
	
	
	
 $qd = "SELECT asignar, id_promo,  promodesc, precio, puntos, cant FROM nsalida join promod on promod.id_promo=nsalida.productos_idprod where transacciones_idtransacciones=".$id_venta."";
	  $cd = mysql_query($qd) or die ('Error (Registro No Encontrado (Generacion de Tabla1)): ' . mysql_error());
	 
			$i = 0;
			while($renglon = mysql_fetch_row($cd))
			{$ptossal+=$renglon[5]*$renglon[4];
				echo"<tr>";
				echo "<td align=\"center\">".$renglon[5]."</td>";
				echo "<td>".$renglon[1]."</td>";
				echo "<td>".$renglon[2]."</td>";
				echo "<td>"."$".$renglon[3]."</td>";
				echo "<td>"."$".$renglon[4]."</td>";
				echo "<td>".$renglon[0]."</td>";
								$i++;
				echo"</tr>";}
				
 $qd = "SELECT asignar, id_prod,  nombreProd, precio, puntos, cant FROM nsalida join productos on (productos.id_prod=nsalida.productos_idprod) where transacciones_idtransacciones=".$id_venta."";
	  $cd = mysql_query($qd) or die ('Error (Registro No Encontrado (Generacion de Tabla2)): ' . mysql_error());
	 
			$i = 0;
			while($renglon = mysql_fetch_row($cd))
			{$ptossal+=$renglon[5]*$renglon[4];
				echo"<tr>";
				echo "<td align=\"center\">".$renglon[5]."</td>";
				echo "<td>".$renglon[1]."</td>";
				echo "<td>".$renglon[2]."</td>";
				echo "<td>"."$".$renglon[3]."</td>";
				echo "<td>"."$".$renglon[4]."</td>";
				echo "<td>".$renglon[0]."</td>";
								$i++;
				echo"</tr>";}				
					
			echo "</table><br>Puntos para asignar: $ptossal<br><font size=\"+1\"><b>Asignaciones</b></font>"; 	
			
			
	 /*$qd1 = "select transacciones.idtransacciones, nombre, appat, apmat, observaciones, fechat, cantidad, puntos from transacciones join asignaciones on transacciones.idtransacciones=
	 asignaciones.idtransacciones join inversionista on transacciones.inversionista_id_inver=inversionista.id_inver join depositos on depositos.transacciones_idtransacciones=transacciones.idtransacciones where nsalida=".$id_venta."";

	  $cd1 = mysql_query($qd1) or die ('Error (Registro No Encontrado (Generacion de Tabla)): ' . mysql_error());
	 
if (!mysql_affected_rows()){
	
	   echo"<br><br><form name=\"pagar\" action=\"cambians.php\" target=\"_blank\" method=\"post\">
   
   
   
   <input type=hidden name=transacc value=$id_venta>

			

								 <input type=\"submit\" value=\"cambiar nota de salida\" name=\"infoped\"></form><br><br>";
	
	
	
	
	
	}/*/
	   echo"
			<TABLE Border=1 CellPadding=5>
			<TR>";
				echo "
				<th>Pedido</th>
				<th>Nombre</th>
				<th>puntos</th>
				<th>Fecha</th>
			</TR>";
			
		
			while($renglon = mysql_fetch_row($cd1))
			{
				echo"<tr>";
				echo "<td>".$renglon[0]."</td>";
				echo "<td>".$renglon[1]." ".$renglon[2]." ".$renglon[3]."</td>";
				echo "<td>".$renglon[7]."</td>";
				echo "<td>".$renglon[5]."</td>";
				
			$asigpt+=$renglon[7];
			
			
							
				echo"</tr>";}
					
			echo "</table><br>Puntos Asignadis: $asigpt<br><br>"; 	
	

   
}
   

?>



